# This Python file uses the following encoding: utf-8

import arcade


# КЛАСС СПИЧКИ
class Match:
    def __init__(self, x, y, w, h, normalMatch, choseMatch):
        self.normalMatch = normalMatch
        self.choseMatch = choseMatch
        # координаты картинки:
        self.xc = x
        self.yc = y
        # размеры картинки:
        self.width = w
        self.height = h
        # живая спичка:
        self.live = True
        # выбранная:
        self.chose = False

    # ВОЗВРАЩАЕТ True,
    # ЕСЛИ ТОЧКА (px, py)
    # НАХОДИТСЯ ВНУТРИ КАРТИНКИ
    def over(self, px, py):
        x = self.xc - self.width/2
        y = self.yc - self.height/2
        if self.chose:
            return (x <= px <= x + self.width and
                    y + 10 <= py <= y + 10 + self.height)
        else:
            return (x <= px <= x + self.width and
                    y <= py <= y + self.height)


    # РИСУЕМ СПИЧКУ
    def draw(self):
        # этой спички нет:
        if not self.live:
            return
        # выбранная спичка:
        if self.chose:
            self.choseMatch.draw_scaled(self.xc, self.yc + 10)
        # нормальная спичка:
        else:
            self.normalMatch.draw_scaled(self.xc, self.yc)
